Installation of Katello 4 RC3 fails when --foreman-proxy-ssl-port is not set to default 9090
Description

Hi,

Katello 4 installation completes without any error when using the default foreman-proxy ssl port of 9090,  however when using a

custom port with the argument --foreman-proxy-ssl-port "9093" the installation fails with the following:

.

.

.

2021-04-12 19:02:57 [NOTICE] [configure] 2200 out of 2289 done.

2021-04-12 19:03:05 [ERROR ] [configure] Error making PUT request to https://katello.mnsmithuk/api/v2/smart_proxies/1/refresh:

Response: 500 Internal Server Error: Check /var/log/foreman/production.log on Foreman server for detailed information

2021-04-12 19:03:05 [ERROR ] [configure]

/Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[katello.mnsmithuk]/features: change from ["Ansible", "BMC", "DHCP",

"DNS", "Discovery", "Dynflow", "Logs", "Pulpcore", "Puppet", "Puppet CA", "Registration", "SSH", "TFTP"] to ["Ansible", "BMC",

"DHCP", "DNS", "Discovery", "Dynflow", "HTTPBoot", "Logs", "Pulpcore", "Puppet", "Puppet CA", "Registration", "SSH", "TFTP"]

failed: Error making PUT request to https://katello.mnsmithuk/api/v2/smart_proxies/1/refresh: Response: 500 Internal Server Error:

Check /var/log/foreman/production.log on Foreman server for detailed information

2021-04-12 19:03:05 [ERROR ] [configure] Error making PUT request to Foreman at 

https://katello.mnsmithuk/api/v2/smart_proxies/1: Response: 422 Unprocessable Entity

2021-04-12 19:03:05 [ERROR ] [configure] /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[katello.mnsmithuk]/url:

change from 'https://katello.mnsmithuk:9090' to 'https://katello.mnsmithuk:9093' failed: Error making PUT request to Foreman at 

https://katello.mnsmithuk/api/v2/smart_proxies/1: Response: 422 Unprocessable Entity

2021-04-12 19:03:05 [ERROR ] [configure] /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[katello.mnsmithuk]: Failed

to call refresh: Error making PUT request to https://katello.mnsmithuk/api/v2/smart_proxies/1/refresh: Response: 500 Internal Server

Error: Check /var/log/foreman/production.log on Foreman server for detailed information

2021-04-12 19:03:05 [ERROR ] [configure] /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[katello.mnsmithuk]: Error

making PUT request to https://katello.mnsmithuk/api/v2/smart_proxies/1/refresh: Response: 500 Internal Server Error: Check

/var/log/foreman/production.log on Foreman server for detailed information

2021-04-12 19:03:07 [NOTICE] [configure] System configuration has finished.

There were errors detected during install.

  Please address the errors and re-run the installer to ensure the system is properly configured.

  Failing to do so is likely to result in broken functionality.

 
The full log is at /var/log/foreman-installer/katello.log

 Below is the extract from katello.log

2021-04-12 19:03:02 [DEBUG ] [configure]

/Stage[main]/Foreman_proxy::Register/Datacat_collector[foreman_proxy::enabled_features]: Evaluated in 0.01 seconds

2021-04-12 19:03:02 [DEBUG ] [configure] /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[katello.mnsmithuk]: Starting

to evaluate the resource (2265 of 2289)

2021-04-12 19:03:02 [DEBUG ] [configure] Foreman_smartproxy[katello.mnsmithuk](provider=rest_v3): Making get request to 

https://katello.mnsmithuk/api/v2/smart_proxies?search=name%3D%22katello.mnsmithuk%22

2021-04-12 19:03:05 [DEBUG ] [configure] Foreman_smartproxy[katello.mnsmithuk](provider=rest_v3): Received response 200 from

request to https://katello.mnsmithuk/api/v2/smart_proxies?search=name%3D%22katello.mnsmithuk%22

2021-04-12 19:03:05 [DEBUG ] [configure] Foreman_smartproxy[katello.mnsmithuk](provider=rest_v3): Making put request to 
2021-04-12 19:03:05 [DEBUG ] [configure] Foreman_smartproxy[katello.mnsmithuk](provider=rest_v3): Received response 500 from

request to https://katello.mnsmithuk/api/v2/smart_proxies/1/refresh

2021-04-12 19:03:05 [ERROR ] [configure] Error making PUT request to https://katello.mnsmithuk/api/v2/smart_proxies/1/refresh:

Response: 500 Internal Server Error: Check /var/log/foreman/production.log on Foreman server for detailed information

2021-04-12 19:03:05 [ERROR ] [configure]

/Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[katello.mnsmithuk]/features: change from ["Ansible", "BMC", "DHCP",

"DNS", "Discovery", "Dynflow", "Logs", "Pulpcore", "Puppet", "Puppet CA", "Registration", "SSH", "TFTP"] to ["Ansible", "BMC",

"DHCP", "DNS", "Discovery", "Dynflow", "HTTPBoot", "Logs", "Pulpcore", "Puppet", "Puppet CA", "Registration", "SSH", "TFTP"]

failed: Error making PUT request to https://katello.mnsmithuk/api/v2/smart_proxies/1/refresh: Response: 500 Internal Server Error:

Check /var/log/foreman/production.log on Foreman server for detailed information

2021-04-12 19:03:05 [DEBUG ] [configure] Foreman_smartproxy[katello.mnsmithuk](provider=rest_v3): Making put request to 

https://katello.mnsmithuk/api/v2/smart_proxies/1

2021-04-12 19:03:05 [DEBUG ] [configure] Foreman_smartproxy[katello.mnsmithuk](provider=rest_v3): Received response 422 from

request to https://katello.mnsmithuk/api/v2/smart_proxies/1

2021-04-12 19:03:05 [ERROR ] [configure] Error making PUT request to Foreman at 

https://katello.mnsmithuk/api/v2/smart_proxies/1: Response: 422 Unprocessable Entity

2021-04-12 19:03:05 [ERROR ] [configure] /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[katello.mnsmithuk]/url:

change from 'https://katello.mnsmithuk:9090' to 'https://katello.mnsmithuk:9093' failed: Error making PUT request to Foreman at 

https://katello.mnsmithuk/api/v2/smart_proxies/1: Response: 422 Unprocessable Entity

2021-04-12 19:03:05 [DEBUG ] [configure] Foreman_smartproxy[katello.mnsmithuk](provider=rest_v3): Making put request to 

https://katello.mnsmithuk/api/v2/smart_proxies/1/refresh

2021-04-12 19:03:05 [DEBUG ] [configure] Foreman_smartproxy[katello.mnsmithuk](provider=rest_v3): Received response 500 from

request to https://katello.mnsmithuk/api/v2/smart_proxies/1/refresh

2021-04-12 19:03:05 [ERROR ] [configure] /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[katello.mnsmithuk]: Failed

to call refresh: Error making PUT request to https://katello.mnsmithuk/api/v2/smart_proxies/1/refresh: Response: 500 Internal Server

Error: Check /var/log/foreman/production.log on Foreman server for detailed information

2021-04-12 19:03:05 [ERROR ] [configure] /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[katello.mnsmithuk]: Error

making PUT request to https://katello.mnsmithuk/api/v2/smart_proxies/1/refresh: Response: 500 Internal Server Error: Check

/var/log/foreman/production.log on Foreman server for detailed information

2021-04-12 19:03:05 [DEBUG ] [configure] /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[katello.mnsmithuk]:

Evaluated in 3.47 seconds

2021-04-12 19:03:05 [DEBUG ] [configure] Class[Foreman_proxy::Register]: Starting to evaluate the resource (2266 of 2289)

2021-04-12 19:03:05 [DEBUG ] [configure] Class[Foreman_proxy::Register]: Resource is being skipped, unscheduling all events

2021-04-12 19:03:05 [DEBUG ] [configure] Class[Foreman_proxy::Register]: Evaluated in 0.00 seconds

2021-04-12 19:03:05 [DEBUG ] [configure] Class[Foreman_proxy]: Starting to evaluate the resource (2267 of 2289)

2021-04-12 19:03:05 [DEBUG ] [configure] Class[Foreman_proxy]: Resource is being skipped, unscheduling all events

2021-04-12 19:03:05 [DEBUG ] [configure] Class[Foreman_proxy]: Unscheduling all events on Class[Foreman_proxy]

2021-04-12 19:03:05 [DEBUG ] [configure] Class[Foreman_proxy]: Evaluated in 0.00 seconds

History

#1 - 04/12/2021 06:32 PM - Matthew Smith

- Status changed from New to Duplicate

Duplicated in the katello project as Bug #32299
